跳转到主要内容
存储管理/数据存储相关接口
GETData Storage APIs起始版本 3.1.0同步需要认证

获取存储迁移候选列表

获取存储迁移候选列表

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

路径参数

查询参数

请求参数

路径参数

  • vmInstanceUuidString必填

    虚拟机UUID

查询参数

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

请求体字段

  • primarystoragemigratevmObject必填

    primarystoragemigratevm 请求体结构

    • withDataVolumesboolean

      暂无描述。

    • migrateStorageOnlyboolean

      是否仅迁移存储

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • uuidString必填

      资源的UUID,唯一标示该资源

    • zoneUuidString必填

      数据中心UUID

    • nameString必填

      资源名称

    • urlString必填

      地址。

    • descriptionString必填

      资源的详细描述

    • totalCapacityLong必填

      总容量。

    • availableCapacityLong必填

      可用容量。

    • totalPhysicalCapacityLong必填

      总物理容量。

    • availablePhysicalCapacityLong必填

      可用物理容量。

    • systemUsedCapacityLong必填

      系统已使用容量。

    • typeString必填

      类型。

    • stateString必填

      当前状态。

    • statusString必填

      状态信息。

    • mountPathString必填

      mount路径。

    • createDateTimestamp必填

      创建时间

    • lastOpDateTimestamp必填

      最后一次修改时间

    • attachedClusterUuidsList必填

      附加集群UUID。

请求地址

GET/zstack/v1/vm-instances/{vmInstanceUuid}/storage-migration-candidates

/zstack/v1/vm-instances/{vmInstanceUuid}/storage-migration-candidates

操作 ID

GetPrimaryStorageCandidatesForVmMigration

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/vm-instances/{vmInstanceUuid}/storage-migration-candidates?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"primarystoragemigratevm":{"withDataVolumes":true,"migrateStorageOnly":true}}'

响应示例

200
{ "inventories": [ { "uuid": "19e075320ee9327182fcb82a8b0a078b", "name": "PS-1" } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史